Simple Machines Community Forum

SMF Support => Language Specific Support => Français (French) => Topic started by: bisane on October 27, 2020, 04:22:59 AM

Title: En route vers la 2.1 RC3
Post by: bisane on October 27, 2020, 04:22:59 AM
Suite à ce message (https://www.simplemachines.org/community/index.php?topic=574505.msg4071719#msg4071719), je me suis donc lancée...
Histoire d'éviter que le forum actif ne plante, j'en ai créé une "copie", pour tester, et voilà ce que ça donne !
Je précise que j'ai bien évidemment téléchargé et appliqué le smf_2-1-rc3_french.tar.gz.
Et j'ai beau tenter de contourner le problème en "essayant en anglais", ça ne change rien... La même page s'affiche, inexorablement...
Title: Re: En route vers la 2.1 RC3
Post by: maximus23 on October 27, 2020, 07:25:54 AM
Bonjour,


Tu fais mise à jour en anglais ou alors tu mets le pack de langue RC3 de la section download de Smf.


:)
Title: Re: En route vers la 2.1 RC3
Post by: bisane on October 28, 2020, 03:09:56 AM
Heu... Max, as-tu pris le temps de me lire ? ? ?

ou alors tu mets le pack de langue RC3 de la section download de Smf.
Je précise que j'ai bien évidemment téléchargé et appliqué le smf_2-1-rc3_french.tar.gz.

Quant à la mise à jour en anglais :
j'ai beau tenter de contourner le problème en "essayant en anglais", ça ne change rien... La même page s'affiche, inexorablement...
Title: Re: En route vers la 2.1 RC3
Post by: bisane on October 28, 2020, 03:52:32 AM
Je précise qu'avant l'écran cité dans mon premier message, SMF me dit ceci :
Merci d'avoir choisi de mettre à jour SMF en version 2.1 RC3. Tous les fichiers semblent être où il faut, on commence quand vous voulez.
Title: Re: En route vers la 2.1 RC3
Post by: bisane on October 28, 2020, 05:01:12 AM
J'essaie d'avancer, mais on ne peut pas dire que ce soit très efficace !!!  :(

J'ai donc tenté de repartir à 0 et d'enlever le pack de langue...
C'est beaucoup mieux !!!  ;D

Résultat :
Warning:  require_once(/Subs.php): failed to open stream: No such file or directory in xxxx/upgrade.php on line 651 
Fatal error:  require_once(): Failed opening required '/Subs.php' (include_path='.:/opt/php7.2/lib/php') in xxxxx/upgrade.php on line 651

Est-il utile de préciser que le fichier Subs.php existe bel et bien ?
Et que, bien sur, je ne trouve nulle trace de ceci (include_path='.:/opt/php7.2/lib/php'), ni dans Subs ni dans upgrade...
Title: Re: En route vers la 2.1 RC3
Post by: bisane on October 28, 2020, 05:15:36 AM
Et j'essaie de revenir à la version "initiale", et voilà ce que ça donne :

Notice: Undefined variable: boarddir in xxxxx/index.php on line 61
Notice: Undefined variable: boarddir in xxxxx/index.php on line 65
Notice: Undefined variable: sourcedir in xxxxx/index.php on line 71
Warning: require_once(/QueryString.php): failed to open stream: No such file or directory in xxxxx/index.php on line 71
Fatal error: require_once(): Failed opening required '/QueryString.php' (include_path='.:/opt/php7.2/lib/php') in xxxxx/index.php on line 71

Comment dire... il semble quand-même y avoir un gros problème, non ?  :P
Title: Re: En route vers la 2.1 RC3
Post by: maximus23 on October 28, 2020, 06:38:15 AM
Bonjour,

Version Initiale non là ce n'est pas possible on upgrade ou pas.

Donc reprendre l'upgrade ou il s'est arrêté simplement avec les bons fichiers.

Si on doit revenir en arrière il faut remettre le backup.

 :)
Title: Re: En route vers la 2.1 RC3
Post by: bisane on October 28, 2020, 01:26:52 PM
Max, merci de tes interventions, mais le moins que l'on puisse dire est qu'elles ne m'aident guère !
La réalité c'est que l'upgrade plante, avec ou sans paquet de langue, et que je n'arrive donc pas à finaliser l'opération !  :P
Alors, je fais quoi ??? ?
Title: Re: En route vers la 2.1 RC3
Post by: maximus23 on October 28, 2020, 03:41:16 PM
Bonsoir,


Là il t'indique qu'il te manque des fichiers ou qu'il ne les trouve pas.


Tu as mis ton site en local ?


As tu bien installé le site fonctionnel en local avant de faire l'upgrade.


Tu n'as pas oublié ton repair_settings ?


:)
Title: Re: En route vers la 2.1 RC3
Post by: bisane on October 29, 2020, 03:20:34 AM
Tu t'attaches à mon dernier message alors que le problème n'est pas vraiment là...  :P
Le problème est bien que je n'arrive pas à l'effectuer, l'upgrade, en appliquant ou pas le pack de langue !  :( :( :(

Je n'ai pas mis mon site en local (je ne sais toujours pas le faire...), j'en ai créé une copie en ligne, comme indiqué dans mon 1er message. Et il est parfaitement fonctionnel avant l'upgrade.

Comment utiliser le Repair_settings avant-même d'avoir pu upgrader ? ? ?  :o ???
Title: Re: En route vers la 2.1 RC3
Post by: bisane on October 29, 2020, 04:27:00 AM
J'ai à nouveau tout repris à 0... C'est beaucoup mieux !!!  >:( >:( >:(

J'ai réussi à passer le 1ère étape (le problème supposé lié à des fichiers de langue), et donc à lancer l'upgrade, et voici ce que j'obtiens :
Parse error:  syntax error, unexpected '=' in xxxxx/Settings.php on line 100